Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #25090

    In your version.txt doc on your 1.7 update of this theme you list these files that need to be updated:

    includes/format-gallery.php

    includes/format-image.php

    includes/format-video.php

    includes/format-link.php

    includes/format-standard.php

    includes/format-quote.php

    includes/portfolio-landscape.php

    includes/portfolio-portrait.php

    These are the only files I need to upload?

    Also, you state that the Twitter and Facebook icons are no longer working because they’ve changed the APIs. I understand that. What I’d like to know is: you recommend using plugins for these. Do you have any recommendations and can I connect the buttons to these plugins?

    #125741

    Hi outtacontext,

    Whatever is listed in the version.txt is correct. For the twitter and facebook items, sharethis is a popular plugin though we don’t have any officially supported or preferred plugin at this point.

    Regards,

    Devin

    #125742

    What should be the correct file permissions for the new files and folders? I uploaded the updated files and folders and am not getting nothing on either my WP admin pages or my website.

    I looked at the error log and this is what it told me:

    [23-Jun-2013 14:27:23] PHP Warning:  require_once(config-wpml/config.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /home7/.../wp-content/themes/sentence/functions.php on line 8
    [23-Jun-2013 14:27:23] PHP Fatal error: require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'config-wpml/config.php' (include_path='.:/usr/lib64/php:/usr/lib/php:/usr/share/pear') in /home7/.../wp-content/themes/sentence/functions.php on line 8
    [23-Jun-2013 14:27:34] PHP Warning: require_once(config-wpml/config.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /home7/.../wp-content/themes/sentence/functions.php on line 8
    [23-Jun-2013 14:27:34] PHP Fatal error: require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'config-wpml/config.php' (include_path='.:/usr/lib64/php:/usr/lib/php:/usr/share/pear') in /home7/.../wp-content/themes/sentence/functions.php on line 8
    [23-Jun-2013 14:28:37] PHP Warning: require_once(config-wpml/config.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /home7/.../wp-content/themes/sentence/functions.php on line 8
    [23-Jun-2013 14:28:37] PHP Fatal error: require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'config-wpml/config.php' (include_path='.:/usr/lib64/php:/usr/lib/php:/usr/share/pear') in /home7/.../wp-content/themes/sentence/functions.php on line 8

    I thought the permissions on files like function.php should be 644. Is that not correct? Should it be executable (744)?

    #125743

    Forget my last comment. It wasn’t permissions. I forgot to upload a folder. My bad.

    #125744

    Hey,

    Glad it is fixed now. :)

    Cheers,

    Ismael

Viewing 5 posts - 1 through 5 (of 5 total)

The topic ‘Updating Sentence’ is closed to new replies.